/etc/init.d/xpilot-ng-server is in xpilot-ng-server 1:4.7.3-2.2+b1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 | #!/bin/bash
### BEGIN INIT INFO
# Provides: xpilot-ng-server
# Required-Start: $remote_fs
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start and stop the xpilot-ng server
### END INIT INFO
#
# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
# Modified for Debian GNU/Linux
# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
# Modified for Debian GNU/Linux xpilot-server package
# by Matt Kern <matt.kern@pobox.com>
# and by Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
PATH=/sbin:/bin:/usr/sbin:/usr/bin
test -x /usr/games/start-xpilot-ng-server || exit 0
USER=xpilotng
PIDFILE=/run/xpilot-ng-server/xpilot-ng-server.pid
set -e
source /etc/default/xpilot-ng-server
case "$1" in
start)
echo "$AUTOSTART" |grep -iq yes || exit 0
test -f "$DEFAULTMAP" || exit 0
echo -n "Starting XPilot NG server: "
RUNDIR=$(dirname $PIDFILE)
mkdir -m700 -p $RUNDIR
chown xpilotng:xpilotng $RUNDIR
start-stop-daemon --start --quiet --chuid $USER --background \
--oknodo --exec /usr/games/start-xpilot-ng-server
echo "xpilot-ng-server."
;;
stop)
echo -n "Stopping XPilot NG server: "
if start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--oknodo --retry 5 >/dev/null 2>&1; then
echo "xpilot-ng-server."
else
echo "system-wide XPilot NG server not running."
fi
;;
restart|force-reload)
echo -n "Restarting XPilot NG server: "
RUNDIR=$(dirname $PIDFILE)
mkdir -m700 -p $RUNDIR
chown xpilotng:xpilotng $RUNDIR
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--oknodo --retry 5 >/dev/null 2>&1
echo "$AUTOSTART" |grep -iq yes || exit 0
test -f "$DEFAULTMAP" || exit 0
start-stop-daemon --start --quiet --chuid $USER --background \
--oknodo --exec /usr/games/start-xpilot-ng-server
echo "xpilot-ng-server."
;;
*)
N=/etc/init.d/xpilot-ng-server
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0
|